All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.html
Class DataItemNode

    com.sas.servlet.tbeans.dataselectors.html.DataItemNode

All Implemented Interfaces:
  DataSelectorListBoxViewStyleKeysInterface, ItemInterface, JavaScriptNodeInterface, JavaScriptNodeStyleKeysInterface

    public class DataItemNode

implements DataSelectorListBoxViewStyleKeysInterface

The DataItemNode is a TransformationBean™ that generates the appropriate HTML 4.0 that provides a javascript node with additional description and style properties.

Note that the toString() method on this class calls the `write` method, which may have undesirable side effects. See BaseTransformation.toString() for more information. Debuggers often use toString() to show the value of a variable, and this may cause unexpected behavior while debugging

For More Information:

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.1

Field Summary

Fields inherited from interface com.sas.servlet.tbeans.dataselectors.html.DataSelectorListBoxViewStyleKeysInterface
`DATAITEM_NODE_DESCRIPTION, DATAITEM_NODE_TEXT, DATASELECTORLISTBOXVIEW_CONTAINER, DATASELECTORLISTBOXVIEW_CONTAINER_XP, DATASELECTORLISTBOXVIEW_DESCRIPTION_AREA, DATASELECTORLISTBOXVIEW_LABEL_AREA, DATASELECTORLISTBOXVIEW_TITLES`

Fields inherited from interface com.sas.servlet.tbeans.models.JavaScriptNodeStyleKeysInterface
`JAVASCRIPTNODE_IMAGE, JAVASCRIPTNODE_INDENT, JAVASCRIPTNODE_SELECTED_TEXT, JAVASCRIPTNODE_TEXT`

Constructor Summary
`DataItemNode()` Construct a new JSNode

Method Summary
`java.lang.String` | `getDescription()` Gets the element of the JSNode.
`java.util.Map` | `getNodeConstructorParameters()` Returns a Map containing the name/value pairs of the properties to be passed to the constructor.
`java.lang.String` | `getNodeDescriptionStyle()`
`java.lang.String` | `getNodeTextStyle()`
`void` | `setDescription(java.lang.String value)` Sets the element of the JSNode.
`void` | `setNodeDescriptionStyle(java.lang.String value)`
`void` | `setNodeTextStyle(java.lang.String value)`

Methods inherited from class com.sas.servlet.tbeans.models.JavaScriptNode
`createNodeParameterString, escapeNodeText, getAlternateText, getCloneNodeFunctionName, getDeselectNodeFunctionName, getDisabledImage, getImage, getImageLocation, getNodeConstructorName, getRenderNodeFunctionName, getSelectNodeFunctionName, getStyleClassPrefix, getStyleMap, isImagesOnly, isNoWrap, setAlternateText, setCloneNodeFunctionName, setDeselectNodeFunctionName, setDisabledImage, setImage, setImageLocation, setImagesOnly, setNodeConstructorName, setNoWrap, setRenderNodeFunctionName, setSelectNodeFunctionName, setStyleClassPrefix`

Methods inherited from class com.sas.servlet.tbeans.models.Item
`getName, getOnBlur, getOnChange, getOnClick, getOnFocus, getOnKeyDown, getOnKeyPress, getOnKeyUp, getOnMouseDown, getOnMouseOut, getOnMouseOver, getOnMouseUp, getText, getValue, isSelected, setName, setOnBlur, setOnChange, setOnClick, setOnFocus, setOnKeyDown, setOnKeyPress, setOnKeyUp, setOnMouseDown, setOnMouseOut, setOnMouseOver, setOnMouseUp, setSelected, setText, setValue, toString`

Methods inherited from interface com.sas.servlet.tbeans.models.JavaScriptNodeInterface
`getIndentionLevel, getText, getValue, setIndentionLevel, setText, setValue`

Constructor Detail

### DataItemNode

    public DataItemNode()

  Construct a new JSNode

Method Detail

### setDescription

    public void setDescription(java.lang.String value)

  Sets the element of the JSNode.

  Parameters:
    `value` - The element

### getDescription

    public java.lang.String getDescription()

  Gets the element of the JSNode.

  Returns:
    element The indent

### getNodeConstructorParameters

    public java.util.Map getNodeConstructorParameters()

  Returns a Map containing the name/value pairs of the properties to be passed to the constructor.

  Specified by:
    `getNodeConstructorParameters` in interface `JavaScriptNodeInterface`
  Overrides:
    `getNodeConstructorParameters` in class `JavaScriptNode`
  Returns:
    parameters The node constructor parameters

### getNodeTextStyle

    public java.lang.String getNodeTextStyle()

### getNodeDescriptionStyle

    public java.lang.String getNodeDescriptionStyle()

### setNodeTextStyle

    public void setNodeTextStyle(java.lang.String value)

### setNodeDescriptionStyle

    public void setNodeDescriptionStyle(java.lang.String value)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.